package com.devassistant.authentication.service;

import jakarta.servlet.http.HttpServletRequest;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 用户身份权限认证服务
 */
@Slf4j
@Service
@RequiredArgsConstructor
@Transactional
public class AuthenticationService {

    @Value("${login.password}")
    private String loginPassword;

    public boolean login(String password, HttpServletRequest request) {
        if (loginPassword.equals(password)) {
            request.getSession().setAttribute("isLogin", true);
            return true;
        }
        return false;
    }
}
