import {createApp} from 'vue'
import router from './router'
import App from './App.vue'
import '~/assets/iconfont/iconfont.css'
import '~/assets/iconfont/iconfont.js'
import '~/assets/iconfont/iconfont.ttf'
import '~/assets/iconfont/iconfont.woff'
import '~/assets/iconfont/iconfont.woff2'
import * as ElementPlusIconsVue from '@element-plus/icons-vue'

let app = createApp(App)
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
    app.component(key, component)
}
app.use(router)
app.mount('#app')